package com.seeyon.utils.form;

public enum ClauseFactor {
    NEQ,//不相等
    EQ, //相等
    GT, //大于
    GE, //大于等于
    LT, //小于
    LE, //小于等于
    NULL, //空
    NOT_NULL, //非空
    LIKE, //模糊
    AND,
    OR,
    IN,
    NOT_IN
    ;


    public boolean isNullType() {
        return this == NULL || this == NOT_NULL;
    }
    public boolean isInType() {
        return this == IN || this == NOT_IN;
    }
}
